/* body styles */
body{
    width: 100%;
    height: 100%;
    background-color: #cecece;
}
body.switch{
    background-color: black;
    width: 100%;
    height: 100%;
}
/* ------------------------------------------------------- */
/* header styles */
header{
    display: flex;
    flex-direction: column;
}
button, h1{
    font-family: 'M PLUS Rounded 1c', sans-serif;
    font-size: 20px;
    color: #111;
}
button.switch, h1.switch{
    font-family: 'M PLUS Rounded 1c', sans-serif;
    color: #eee;
}
button{
    border: 1px #111 solid;
    background-color: #fcf5ec00;
    padding: 2% 4%;
    color: #111;
    align-self: flex-end;
    margin: 2% 4% 2% 2%;
    cursor: pointer;
}
button.switch{
    border: #FF7BAC 1px solid;
    background-color: black;
    color: #FF7BAC;
    cursor: pointer;
}
h1{
    align-self: center;
    margin: auto 2.3%;
    text-align: center;
    font-weight: 500;
}
h1.switch{
    color: #FF7BAC;
}
h1{
    font-family: 'M PLUS Rounded 1c', sans-serif;
    font-weight: 500;
}
h1.switch{
    font-family: 'M PLUS Rounded 1c', sans-serif;
    font-weight: 500;
}
/* ------------------------------------------------------- */
/* image styles */
img{
    display: block;
    width: 100%;
    margin: auto;
    margin-top: 2%;
}
/* ------------------------------------------------------- */
/* section styles */
section{
    border: solid 8px #111;
    border-radius: 10px;
    margin: 3%;
    
}
section.switch{
    border: solid 3px #FF7BAC;
}
h2{
    font-family: 'M PLUS Rounded 1c', sans-serif;
    color: #111;
    text-decoration: underline;
    margin-left: 3%;
    font-size: 18px;
}
h2.switch, ol li.switch, ol li a.switch{
    font-family: 'M PLUS Rounded 1c', sans-serif;
    color: #FCF5EC;
    line-height: 1.3em;
}
ol li a, ol li{
    font-family: 'M PLUS Rounded 1c', sans-serif;
    color: #111;
    font-size: 16px;
    text-decoration: none;
}
a:link, a:visited{
    text-decoration: none;
    color: #111;
}
a.switch:link, a.switch:visited{
    text-decoration: none;
    color: #FCF5EC;
}
/* ------------------------------------------------------- */
/* footer styles */
blockquote{
    font-family: 'M PLUS Rounded 1c', sans-serif;
    font-size: 16px;
    font-style: italic;
    font-weight: 500;
    text-align: center;
    margin: 8% 4%;
    color: #111;
}
blockquote.switch{
    font-family: 'M PLUS Rounded 1c', sans-serif;
    color: #FF7BAC;
}
/* ------------------------------------------------------- */
/* DESKTOP MEDIA QUERY */
@media only screen and (min-width: 700px){
    /* ------------------------------------------------------- */
    /* header styles 2.0 */
    header{
        display: flex;
        flex-direction: row-reverse;
        justify-content: space-between;
        align-items: flex-end;
    }
    h1{
        font-size: 26px;
        margin-left: 5%;
        text-align: left;
        margin-bottom: 0;
    }
    button{
        padding: 0.5% 1%;
        margin: 2% 5% 0 0;
    }
    /* ------------------------------------------------------- */
    /* line margin */
    .line{
        margin: 1% auto;
    }
    /* ------------------------------------------------------- */
    /* image styles */
    img{
        max-height: 250px;
        margin-top: 0;
    }
    /* ------------------------------------------------------- */
    /* section styles */
    main{
        display: flex;
        gap: 2%;
        justify-content: space-around;
        margin: auto 5%;
    }
    section{
        width: 90%;
        margin: 0;
    }
    /* ------------------------------------------------------- */
    /* list text styles */
    ol li a, ol li{
        font-size: 18px;
    }
    /* ------------------------------------------------------- */
    /* blockquote styles */
    blockquote{
        margin: 2% 4%;
        font-size: 20px;
    }
}